io.vertx.rxjava.ext.web.sstore

## Class ClusteredSessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore
  - - io.vertx.rxjava.ext.web.sstore.ClusteredSessionStore

-     public class ClusteredSessionStore
      extends SessionStore

  A session store which stores sessions in a distributed map so they are available across the cluster.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusteredSessionStore(ClusteredSessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusteredSessionStore` | `create(Vertx vertx)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, String sessionMapName)` Create a session store
    `Object` | `getDelegate()`
    `static ClusteredSessionStore` | `newInstance(ClusteredSessionStore arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.sstore.SessionStore

      `clear, clearObservable, close, createSession, delete, deleteObservable, get, getObservable, newInstance, put, putObservable, size, sizeObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusteredSessionStore

          public ClusteredSessionStore(ClusteredSessionStore delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static ClusteredSessionStore create(Vertx vertx,
                                                     String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
      Returns:
        the session store

    - #### create

          public static ClusteredSessionStore create(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### newInstance

          public static ClusteredSessionStore newInstance(ClusteredSessionStore arg)

Copyright © 2015. All Rights Reserved.